import request from '@/utils/request'

// 查询个微SOP营期列表
export function listSopUserLogsWx(query) {
  return request({
    url: '/qw/wxSop/sopUserLogsWx/list',
    method: 'get',
    params: query
  })
}

// 查询个微SOP营期详细
export function getSopUserLogsWx(id) {
  return request({
    url: '/qw/wxSop/sopUserLogsWx/' + id,
    method: 'get'
  })
}

// 删除个微SOP营期
export function delSopUserLogsWx(ids) {
  return request({
    url: '/qw/wxSop/sopUserLogsWx/' + ids,
    method: 'delete'
  })
}

// 导出个微SOP营期
export function exportSopUserLogsWx(query) {
  return request({
    url: '/qw/wxSop/sopUserLogsWx/export',
    method: 'get',
    params: query
  })
}

// 批量修改个微SOP营期时间
export function updateLogDate(data) {
  return request({
    url: '/qw/wxSop/sopUserLogsWx/updateLogDate',
    method: 'post',
    data: data
  })
}

// 查询个微SOP营期详情（客户列表）
export function getSopUserLogsDetail(sopUserId, query) {
  return request({
    url: '/qw/wxSop/sopUserLogsWx/detail/' + sopUserId,
    method: 'get',
    params: query
  })
}
